# -*- encoding: utf-8 -*-

##############################################################################
#
# Copyright (c) 2010 E.Samyn - info@open-shift.com
# Author: E.Samyn
#
# This file is part of the hr_skill_extension module
#
# WARNING: This program as such is intended to be used by professional
# programmers who take the whole responsability of assessing all potential
# consequences resulting from its eventual inadequacies and bugs
# End users who are looking for a ready-to-use solution with commercial
# garantees and support are strongly adviced to contract a Free Software
# Service Company
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; 
# If not, see <http://www.gnu.org/licenses/> or  write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
##############################################################################
from osv import fields, osv
from mx import DateTime

import datetime

#--- applicant ---
class hr_applicant(osv.osv):
	_name = "hr.applicant"
	_description = "recrutement"
	_inherit = ['hr.applicant']			
	_columns = {
		'canal_id': fields.many2one('res.partner.canal', 'Channel', help="Applicant canal (web, mail, agency,...)"),
		'contract_type' : fields.selection([('tp','Training periode'),('pt','Professional training'),('lc','Limited contract'),('uc','Unlimited contract')], 'Requested contract type'),
		'mobility' : fields.char('Mobility', size=128),
		'work_permit' : fields.selection([('student','Student'),
                                ('employee','Worker'),
								('other','Other')],'Work permit'),	
		'work_permit_validity' : fields.date('Work permit validity'),		
		'availability_date' : fields.date("Availability (date)"),
		'external_seniority': fields.float('External seniority', digits=(6,2), help='Seniority gained outside the compagny'),						  					
		'gender': fields.selection([('male', 'Male'),('female', 'Female')], 'Gender'),
		'date_of_birth' : fields.date("Date of birth"),
		'place_of_birth' : fields.char("Place of birth", size=64),
		'marital': fields.many2one('hr.employee.marital.status', 'Marital Status'),
		'country_id': fields.many2one('res.country', 'Nationality'),
	}
	
	#--- Method to create an employee from an applicant 
	def action_create_employee(self,cr,uid,ids,*args):
		  
hr_applicant()